# Setup Control Interface
[Control Interface]

## Functions

int | snd_sctl_build (snd_sctl_t **ctl, snd_ctl_t *handle, snd_config_t *config, snd_config_t *private_data, int mode)
| Build setup control handle.
int | snd_sctl_free (snd_sctl_t *handle)
| Free setup control handle.
int | snd_sctl_install (snd_sctl_t *handle)
| Install given values to control elements.
int | snd_sctl_remove (snd_sctl_t *handle)
| Remove (restore) previous values from control elements.

## Detailed Description

The setup control interface - set or modify control elements from a configuration file.

## Function Documentation

int snd_sctl_build | ( | snd_sctl_t ** | sctl,
|  | snd_ctl_t * | handle,
|  | snd_config_t * | conf,
|  | snd_config_t * | private_data,
|  | int | mode |
| ) |  |  |

Build setup control handle.

Parameters:

  | sctl | Result - setup control handle
  | handle | Master control handle
  | conf | Setup configuration
  | private_data | Private data for runtime evaluation
  | mode | Build mode - SND_SCTL_xxxx

Returns:
  zero if success, otherwise a negative error code

int snd_sctl_free | ( | snd_sctl_t * | sctl | ) |

Free setup control handle.

Parameters:

  | sctl | Setup control handle

Returns:
  zero if success, otherwise a negative error code

int snd_sctl_install | ( | snd_sctl_t * | h | ) |

Install given values to control elements.

Parameters:

  | h | Setup control handle

Returns:
  zero if success, otherwise a negative error code

int snd_sctl_remove | ( | snd_sctl_t * | h | ) |

Remove (restore) previous values from control elements.

Parameters:

  | h | Setup control handle

Returns:
  zero if success, otherwise a negative error code

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines